# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions | Protected Attributes

# vl::FBOTexture3DAttachment Class Reference

A 3D texture renderbuffer to be attached to a FramebufferObject (wraps `glFramebufferTexture3D()`). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOTexture3DAttachment:

List of all members.

## Public Member Functions

| FBOTexture3DAttachment ()
| FBOTexture3DAttachment (Texture *texture, int mipmap_level, int layer)
void | setLayer (int layer)
| The layer of a 2-dimensional image within a 3-dimensional texture.
int | layer () const
| The layer of a 2-dimensional image within a 3-dimensional texture.

## Protected Member Functions

virtual void | bindAttachment (FramebufferObject *fbo, EAttachmentPoint attach_point)

## Protected Attributes

int | mLayer

## Detailed Description

A 3D texture renderbuffer to be attached to a FramebufferObject (wraps `glFramebufferTexture3D()`).

See also:
  http://www.opengl.org/sdk/docs/man3/xhtml/glFramebufferTexture.xml

Definition at line 438 of file FramebufferObject.hpp.

## Constructor & Destructor Documentation

vl::FBOTexture3DAttachment::FBOTexture3DAttachment | ( | ) | `[inline]`

Definition at line 443 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

vl::FBOTexture3DAttachment::FBOTexture3DAttachment | ( | Texture * | texture,
|  | int | mipmap_level,
|  | int | layer
| ) |  | `[inline]`

Definition at line 449 of file FramebufferObject.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

void vl::FBOTexture3DAttachment::setLayer | ( | int | layer ) | `[inline]`

The layer of a 2-dimensional image within a 3-dimensional texture.

Definition at line 456 of file FramebufferObject.hpp.

int vl::FBOTexture3DAttachment::layer | ( | ) | const`[inline]`

The layer of a 2-dimensional image within a 3-dimensional texture.

Definition at line 459 of file FramebufferObject.hpp.

Referenced by bindAttachment().

void FBOTexture3DAttachment::bindAttachment | ( | FramebufferObject * | fbo,
|  | EAttachmentPoint | attach_point
| ) |  | `[protected, virtual]`

Implements vl::FBOAbstractAttachment.

Definition at line 436 of file FramebufferObject.cpp.

References vl::Has_FBO, vl::Texture::height(), vl::Framebuffer::height(), layer(), vl::FBOAbstractTextureAttachment::mipmapLevel(), vl::TD_TEXTURE_2D_MULTISAMPLE_ARRAY, vl::FBOAbstractTextureAttachment::texture(), VL_CHECK, VL_CHECK_OGL, vl::Texture::width(), and vl::Framebuffer::width().

## Member Data Documentation

int vl::FBOTexture3DAttachment::mLayer`[protected]`

Definition at line 465 of file FramebufferObject.hpp.

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/FramebufferObject.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:37.
Permission is granted to use this page to write and publish articles regarding Visualization Library.